From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 9 May 2016<P>

Kirk it's definitely the tree sap..I just got over laryngitis with a horrible sinus infection. Mother Nature Punch is lethal this year. <BR>
<BR>
Love the new blender and thanks for the picks and for all that you do.<BR>
<BR>
Love Neruda even more lately. Hope everyone is having a lovely spring&gt; May is such a lovely month..one of my favorites. Hope all the Mothers had a lovely Mother's Day! <BR>
<BR>
Y'all get busy and write some poetry for us to read. <BR>
I'm trying hard not to sound like an angry bird in my poems ha.<BR>
<BR>
Waiting for something to inspire me..I will find it!<BR>
<BR>
Congratulations to all the front pagers! <BR>
<BR>
bk
<HR>